/*--------------------------------------------------------------
  使い回すスタイル
/*--------------------------------------------------------------
  clearfix
--------------------------------------------------------------*/
/*'display: flow-root'の利用に関しては現在は保留にした方が良いと思い使っていません。[2017.10.12]*/
.clearfix:after {
    content:" ";
    display:block;
    clear:both;
}

::after,
::before {
  box-sizing: border-box;
}
/*--------------------------------------------------------------
  section
--------------------------------------------------------------*/
.section {
  overflow: hidden;
  position: relative;
  z-index: 10;
  background: #fff;
}

.section p {
  margin: 0;
}

.section p + .section p {
  margin-top: 20px;
}

.section::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 5px solid #1bcddb;
  opacity: .15;
  z-index: 5;
}

.section .archive__post {
  position: relative;
  z-index: 20;
  padding: 30px;
}

.section .archive__title {
  margin: 0 0 25px;
  font-size: 20px;
  font-size: 2rem;
  border-bottom: 2px solid #1bcddb;
  padding-bottom: 5px;
  line-height: 1.2;
}

.section .archive__title a {
  color: #666;
}

.section .archive__date {
  line-height: 1;
  font-size: 14px;
  font-size: 1.4rem;
}

.section .archive__date span::before {
  font-family: 'FontAwesome';
  content: '\f017';
}

.section .section + .section {
  margin-top: 50px;
}

/*--------------------------------------------------------------
  Post
--------------------------------------------------------------*/
.post + .post {
  margin-top: 50px;
}

/*投稿記事のheader部分*/
.post .entry__header {
  margin-bottom: 20px;
}

/*投稿記事のcontents部分*/
.post .entry__content {
  font-size: 15px;
  font-size: 1.5rem;
  line-height: 2;
  margin-bottom: 15px;
}

/*投稿記事のfooter部分*/
.post .entry-footer {
  margin: 30px 0;
  padding: 20px 0;
  text-align: right;
  border-top: 1px solid #000;
  border-bottom: 1px solid #000;
}
.post__wrap + .navigation {
  margin-top: 30px;
}

.post h3 {
  line-height: 40px;
  padding-left: 20px;
  position: relative;
  z-index: 10;
  font-size: 1.8rem;
}

.post h3 span {
  position: relative;
  z-index: 20;
}

.post h3::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(62, 212, 230, 0.5);
  z-index: 5;
}

.post h3::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 7%;
  margin-left: -15px;
  border: 15px solid transparent;
  border-top: 15px solid rgba(62, 212, 230, 0.5);
  z-index: 9999;
}

@media screen and (max-width: 480px) {
  /*ページタイトルの設定*/
  .archive__title {
    font-size: 15px;
    font-size: 1.5rem;
  }
}
/*--------------------------------------------------------------
  category
--------------------------------------------------------------*/
.category__area {
  color: #1bcddb;
}
/*お知らせのカテゴリーのリンクの設定*/
.category__area a {
  color: #1bcddb;
  font-size: 13px;
  font-size: 1.3rem;
  padding: 4px 10px 2px 10px;
  white-space: nowrap;
  text-decoration: none;
  border-radius: 5px;
}

/*お知らせのカテゴリーのホバー時の設定*/
.category__area a:hover {
  color: #000;
  text-decoration: underline;
}

/*--------------------------------------------------------------
  tag（タグを使わない場合は不要）
--------------------------------------------------------------*/
/*お知らせのタグクラウドのリンクの設定*/
.tagcloud a {
  font-size: 12px;
  font-size: 1.2rem;
  padding: 5px 10px;
  white-space: nowrap;
  text-decoration: none;
  border: 1px solid #ccc;
  color: #b4de7d;
}

/*お知らせのタグクラウドのホバー時の設定*/
.tagcloud a:hover {
  color: #000;
  border: 1px solid #ccc;
  text-decoration: underline;
}

/*お知らせのタグクラウドのリンク背景の設定*/
.tagcloud a:hover span {
  color: #999;
}

/*お知らせのタグの設定*/
.tag__area {
  color: #b4de7d;
}

/*お知らせのタグのリンクの設定*/
.tag__area a {
  color: #b4de7d;
  font-size: 13px;
  font-size: 1.3rem;
  padding: 4px 10px 2px 10px;
  white-space: nowrap;
  text-decoration: none;
  border-radius: 5px;
}

/*お知らせのタグのホバー時の設定*/
.tag__area a:hover {
  color: #000;
  text-decoration: underline;
}

/*--------------------------------------------------------------
  page link 投稿のページでのページ送り
--------------------------------------------------------------*/
.nav-links span,
.nav-links a {
  display: inline-block;
  padding: 2px 10px 1px;
  background: #ebebeb;
  color: #666;
  border-radius: 3px;
  text-decoration: none;
}

.nav-links a {
  background: #1bcddb;
  color: #fff;
}

.nav-links a:hover {
  opacity: .5;
}

/*次の記事へのリンク*/
.nav__next {
  text-align: right;
}

/*ページ送りの共通スタイル*/
.nav__links,
.nav__previous,
.nav__next {
  padding: 0;
}

.nav__links {
  margin-top: 15px;
}

/*ページ送りのリンク*/
.nav__links a {
  display: inline-block;
  width: 100%;
  line-height: 40px;
  padding: 0 10px;
  color: #000;
  box-sizing: border-box;
  text-decoration: none;
  position: relative;
  z-index: 15;
  font-size: 17px;
  font-size: 1.7rem;
}

/*ページ送りのリンクホバー時*/
.nav__links a:hover {
}

/*ページ送りのナンバー設定*/
.nav__links .page-numbers {
  line-height: 30px;
  width: 30px;
  height: 30px;
  padding: 0;
  text-align: center;
}

/*ページ送りの現在のページ箇所の設定*/
.nav__links .current {
  line-height: 30px;
  height: 30px;
  padding: 10px;
  text-align: center;
}

/*ページを分割したときのリンクの設定*/
.link__page__nav {
  margin-bottom: 50px;
  text-align: right;
}

/*ページを分割したときのリンクの設定*/
.link__page__nav span {
  display: inline-block;
  padding: 0;
}

/*ページを分割したときのリンクの設定*/
.link__page__nav span {
  font-size: 13px;
  line-height: 30px;
  display: inline-block;
  overflow: hidden;
  width: 30px;
  height: 30px;
  margin: 0 5px 0 0;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  text-align: center;
  white-space: nowrap;
  text-decoration: none;
  text-overflow: ellipsis;
  color: #999;
  border-radius: 3px;
  background: #ebebeb;
}

/*ページを分割したときのリンクの設定*/
.link__page__nav a span {
  color: #fff;
  background: #ebebeb;
}

/*ページを分割したときのリンクの設定*/
.link__page__nav a:hover span {
  color: #000;
  background: #ebebeb;
}

.nav__links .nav__previous a::before {
  font-family: 'FontAwesome';
  content:'\f137';

}

.nav__links .nav__next a::after {
  font-family: 'FontAwesome';
  content:'\f138';

}

/*ページ送りの設定*/
.nav__links .nav__previous {
  width: 140px;
  background: #fff;
  float: left;
  position: relative;
}

/*ページ送りの設定*/
.nav__links .nav__next {
  width: 140px;
  background: #fff;
  float: right;
  position: relative;
}

.nav__links .nav__previous::before,
.nav__links .nav__next::before {
  background: #1bcddb;
  position: absolute;
  content:'';
  width: 100%;
  height: 100%;
  opacity: 0.15;
  z-index: 5;
  border-radius: 5px;
}

.nav__links .nav__previous:hover::before,
.nav__links .nav__next:hover::before {
  opacity: 1;
}

@media screen and (max-width: 480px) {
  /*ページ送りの480px以下の設定*/
  .nav__links {
    /*ページ送りの設定*/
    width: 100%;
    margin-bottom: 20px;
  }
}

/*--------------------------------------------------------------
  google map  （GoogleMapをレスポンシブにする設定）
--------------------------------------------------------------*/
.ggmap {
  /*GoogleMapを入れるときはclass名にggmapを入れてください*/
  position: relative;
  overflow: hidden;
  height: 0;
  padding-top: 30px;
  padding-bottom: 56.25%;
}

.ggmap iframe,
.ggmap object,
.ggmap embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
